curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-official",
"prompt": "未来城市的天际线,霓虹灯光,赛博朋克风格",
"size": "16:9",
"n": 1,
"metadata": {
"temperature": 1.0,
"topP": 0.95,
"resolution": "2K",
"personGeneration": "ALLOW_ALL",
"thinkingConfig": {
"thinkingLevel": "HIGH"
}
}
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-3-pro-image-official",
"prompt": "未来城市的天际线,霓虹灯光,赛博朋克风格",
"size": "16:9",
"n": 1,
"metadata": {
"temperature": 1.0,
"topP": 0.95,
"resolution": "2K",
"personGeneration": "ALLOW_ALL",
"thinkingConfig": {
"thinkingLevel": "HIGH"
}
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-3-pro-image-official',
prompt: '未来城市的天际线,霓虹灯光,赛博朋克风格',
size: '16:9',
n: 1,
metadata: {
temperature: 1.0,
topP: 0.95,
resolution: '2K',
personGeneration: 'ALLOW_ALL',
thinkingConfig: {
thinkingLevel: 'HIGH'
}
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-3-pro-image-official",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
Gemini 3 Pro Image
Gemini 3 Pro Image Official 图像生成
Gemini 3 Pro Image Official 支持文生图和图生图, 最多 14 张参考图.
POST
/
v1
/
images
/
generations
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-official",
"prompt": "未来城市的天际线,霓虹灯光,赛博朋克风格",
"size": "16:9",
"n": 1,
"metadata": {
"temperature": 1.0,
"topP": 0.95,
"resolution": "2K",
"personGeneration": "ALLOW_ALL",
"thinkingConfig": {
"thinkingLevel": "HIGH"
}
}
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-3-pro-image-official",
"prompt": "未来城市的天际线,霓虹灯光,赛博朋克风格",
"size": "16:9",
"n": 1,
"metadata": {
"temperature": 1.0,
"topP": 0.95,
"resolution": "2K",
"personGeneration": "ALLOW_ALL",
"thinkingConfig": {
"thinkingLevel": "HIGH"
}
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-3-pro-image-official',
prompt: '未来城市的天际线,霓虹灯光,赛博朋克风格',
size: '16:9',
n: 1,
metadata: {
temperature: 1.0,
topP: 0.95,
resolution: '2K',
personGeneration: 'ALLOW_ALL',
thinkingConfig: {
thinkingLevel: 'HIGH'
}
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-3-pro-image-official",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
国内用户请注意: 中国大陆用户请使用
https://toapis.cn 作为接口地址(Base URL)。文档示例中的 https://toapis.com 请替换为 https://toapis.cn。版本选择
参考图数量指输入图片总数, 不代表输出图片数量. 三个版本使用不同的模型 ID, 请按对应页面的参数和示例调用.当前版本
使用model: "gemini-3-pro-image-official" 选择 Official, 支持文生图和最多 14 张参考图的图生图或图像编辑.
通过 Google Vertex AI 调用, 支持 temperature, topP, thinkingConfig, safetySettings 等原生扩展参数, 具体字段见下方说明.
请求异步执行, 提交成功后通过任务 ID 查询结果.
image_urls 仅支持图片 URL, 不直接接收 base64. 请先使用 上传图片接口 获取可访问的 URL.认证
string
必填
所有接口均需要使用 Bearer Token 进行认证获取 API Key:访问 API Key 管理页面 获取您的 API Key使用时在请求头中添加:
Authorization: Bearer YOUR_API_KEY
请求参数
string
默认值:"gemini-3-pro-image-official"
必填
图像生成模型名称示例:
"gemini-3-pro-image-official"string
必填
图像生成的文本描述
string
图像宽高比支持的格式:
1:1- 正方形3:2/2:33:4/4:34:5/5:49:16/16:921:9
integer
默认值:1
生成图像的数量固定为 1
string[]
参考图像 URL 数组,用于图生图或图像编辑⚠️ 仅支持 URL 格式(不再支持 base64)
- 公开可访问的图片 URL(http:// 或 https://)
- 可使用 上传图片接口 上传本地图片获取 URL
- 最多 14 张图片
- 单张图片不得超过 10MB
- 支持格式:.jpeg, .jpg, .png, .webp
object
Vertex AI 原生扩展参数
显示 显示 metadata 字段
显示 显示 metadata 字段
number
生成温度,控制输出的随机性取值范围:
0.0 - 2.0number
Top-P 采样参数取值范围:
0.0 - 1.0,默认 0.95integer
最大输出 token 数默认
32768string
输出图像分辨率,后端自动映射为 Vertex AI 原生 imageSize可选值:
1K、2K、4K,默认 1Kstring
人物生成控制可选值:
ALLOW_ALL- 允许生成所有人物(包括成人和儿童)ALLOW_ADULT- 仅允许生成成人ALLOW_NONE- 禁止生成人物
object
object
响应字段
string
任务唯一标识符,用于查询任务状态
string
对象类型,固定为
generation.taskstring
使用的模型名称
string
任务状态
queued- 排队等待处理in_progress- 处理中completed- 成功完成failed- 失败
integer
任务进度百分比(0-100)
integer
任务创建时间戳(Unix 时间戳)
object
任务元数据
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-official",
"prompt": "未来城市的天际线,霓虹灯光,赛博朋克风格",
"size": "16:9",
"n": 1,
"metadata": {
"temperature": 1.0,
"topP": 0.95,
"resolution": "2K",
"personGeneration": "ALLOW_ALL",
"thinkingConfig": {
"thinkingLevel": "HIGH"
}
}
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-3-pro-image-official",
"prompt": "未来城市的天际线,霓虹灯光,赛博朋克风格",
"size": "16:9",
"n": 1,
"metadata": {
"temperature": 1.0,
"topP": 0.95,
"resolution": "2K",
"personGeneration": "ALLOW_ALL",
"thinkingConfig": {
"thinkingLevel": "HIGH"
}
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-3-pro-image-official',
prompt: '未来城市的天际线,霓虹灯光,赛博朋克风格',
size: '16:9',
n: 1,
metadata: {
temperature: 1.0,
topP: 0.95,
resolution: '2K',
personGeneration: 'ALLOW_ALL',
thinkingConfig: {
thinkingLevel: 'HIGH'
}
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-3-pro-image-official",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
查询结果
提交响应中的id 是任务 ID. 使用 图片任务查询接口 获取状态和最终图片.
任务查询和 Webhook 回调 沿用通用异步图片接口约定.